Subject: [bug#69185] [PATCH master] gnu: ocaml: Update to 5.1.1

From: pukkamustard <[email-masked]>
Date: Mon, 01 Apr 2024 06:19:18 +0000

Hi Ludo`,

Ludovic Courtès <[email-masked]> writes:

>
> Can removing 5.0 be done in a followup patch?  Should we apply this
> patch in this meantime, or would you suggest adjusting it beforehand?
>

Yes, that can be done. Might even be good to keep the update to 5.1.1 in
two smaller patche sets (one to add 5.1.1, one to remove 5.0.0).

I would suggest adding a package-with-ocaml5.1 transformation to this
patch series (as dependencies probably ocaml5.1-findlib and
ocaml5.1-dune). This would make the new compiler more directly usable
and would help in testing the new compiler for OCaml packages already in
Guix.

-pukkamustard